Advance the wizard step
PATCH
/setup/state
const url = 'https://example.com/api/v1/setup/state';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"currentStep":"welcome"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/setup/state \ --header 'Content-Type: application/json' \ --data '{ "currentStep": "welcome" }'Advances the wizard to the given step. Rejects steps outside the known wizard sequence.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Advance the wizard to the given step
object
currentStep
required
Ordered setup wizard step
string
Responses
Section titled “Responses”Wizard state updated
Media typeapplication/json
object
wizard
required
object
completed
required
Whether the wizard has been marked completed
boolean
dismissedAt
required
Timestamp the wizard was dismissed, or null if never dismissed
string format: date-time
currentStep
required
Ordered setup wizard step
string
Example
{ "wizard": { "currentStep": "welcome" }}Missing or invalid currentStep
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Setup has already been completed or dismissed